/* this header is to be included from filter implementation */

void sockev_filter_next(sockev_t id, sockev_f_dir_t event, void *data, int len, int cookie);

/* Find nth filter that matches filter in socket id and return filter data */
void *sockev_find_filter(sockev_t id, sockev_filter_cb filter, int n);

/* call filter chain of a socket */
void sockev_filter_call_out(sockev_t id, const char *data, int len);
void sockev_filter_call_in(sockev_t id, char *data, int len);
void sockev_filter_call_close(sockev_t id);

